package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.SysAdminFunc;
import com.sa.ibiz.demo.demo.service.dto.SysAdminFuncSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[SysAdminFunc] 服务对象接口
 */
public interface SysAdminFuncService extends IService<SysAdminFunc>{

	boolean update(SysAdminFunc et);
	boolean create(SysAdminFunc et);
		SysAdminFunc get(SysAdminFunc et);
	boolean remove(SysAdminFunc et);
	boolean getDraft(SysAdminFunc et);
	boolean checkKey(SysAdminFunc et);
    List<SysAdminFunc> listDefault(SysAdminFuncSearchFilter filter) ;
	Page<SysAdminFunc> searchDefault(SysAdminFuncSearchFilter filter);
	/**	 实体[SysAdminFunc] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }